commit:     c89e571cb194ce6e02d70d38a7c44a6e4b6e5a33
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  7 19:06:41 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 16:35:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c89e571c

sci-libs/mathgl: Switch to PYTHON_MULTI_USEDEP API

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../mathgl/{mathgl-2.4.1-r1.ebuild => mathgl-2.4.1-r2.ebuild}  | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/sci-libs/mathgl/mathgl-2.4.1-r1.ebuild 
b/sci-libs/mathgl/mathgl-2.4.1-r2.ebuild
similarity index 96%
rename from sci-libs/mathgl/mathgl-2.4.1-r1.ebuild
rename to sci-libs/mathgl/mathgl-2.4.1-r2.ebuild
index 81c1241a2fa..e07d56b6edf 100644
--- a/sci-libs/mathgl/mathgl-2.4.1-r1.ebuild
+++ b/sci-libs/mathgl/mathgl-2.4.1-r2.ebuild
@@ -39,10 +39,12 @@ RDEPEND="
        pdf? ( media-libs/libharu )
        png? ( media-libs/libpng:0 )
        python? (
-               || (
-                       dev-python/numpy-python2[${PYTHON_USEDEP}]
-                       dev-python/numpy[${PYTHON_USEDEP}]
-               )
+               $(python_gen_cond_dep '
+                       || (
+                               dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+                               dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+                       )
+               ')
                ${PYTHON_DEPS}
        )
        qt5? (

Reply via email to